aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/libcgroup/cgred.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
commitb6af1e02efe594039707cd882517663d5370f375 (patch)
treeff9c2d55873e051e82972ba64c017352d3a75d34 /unmaintained/libcgroup/cgred.initd
parenta71346b7acebc600960a98c84fb32cfd72fe864b (diff)
downloadaports-b6af1e02efe594039707cd882517663d5370f375.tar.bz2
aports-b6af1e02efe594039707cd882517663d5370f375.tar.xz
testing/[multiple]: move unmaintained packages
This moves all packages from testing to unmaintained which have not been updated for atleast 6 months. If you are affected by this commit please follow this proceddure: * make sure your packages build on all architectures * move your pacakge(s) back to testing * if you want to keep this package and can maintain it (or find somebody to maintain it for you) for a minimum of 6 months ask it to be moved to community
Diffstat (limited to 'unmaintained/libcgroup/cgred.initd')
-rw-r--r--unmaintained/libcgroup/cgred.initd34
1 files changed, 34 insertions, 0 deletions
diff --git a/unmaintained/libcgroup/cgred.initd b/unmaintained/libcgroup/cgred.initd
new file mode 100644
index 0000000000..e5d027f2d3
--- /dev/null
+++ b/unmaintained/libcgroup/cgred.initd
@@ -0,0 +1,34 @@
+#!/sbin/openrc-run
+#
+# CGroups Rules Engine Daemon
+#
+# This is a daemon for automatically classifying processes into cgroups based
+# on UID/GID.
+#
+extra_started_commands="reload"
+
+name="CGroup Rules Engine Daemon"
+command="/usr/sbin/cgrulesengd"
+pidfile=${PID_FILE:-"/var/run/cgred.pid"}
+command_args="${NODAEMON} ${LOG}"
+start_stop_daemon_args="--make-pidfile --background --stdout /dev/null"
+
+
+depend() {
+ need cgconfig
+ use logger
+}
+
+start_pre() {
+ if [ -n "${LOG_FILE}" ]; then
+ command_args="${command_args} --log-file=${LOG_FILE}"
+ fi
+}
+
+reload() {
+ ebegin "Reloading ${name}"
+ start-stop-daemon --signal USR2 --pidfile "${pidfile}" \
+ --exec "${command}"
+ eend $?
+}
+